{
  "name": "WMS",
  "version": "1.0.0-RELEASE",
  "private": true,
  "scripts": {
    "dev": "vite --mode development",
    "prod": "vite --mode production",
    "build": "vite build",
    "build-dev": "vite build --mode development",
    "build-pro": "vite build --mode production",
    "preview": "vite preview"
  },
  "dependencies": {
    "@ant-design/icons-vue": "^6.0.1",
    "@antv/g2": "^4.1.20",
    "@hwork/ant-design-vue": "4.1.24",
    "@hwork/icon": "^1.0.0",
    "@tinymce/tinymce-vue": "^4.0.4",
    "axios": "^0.21.1",
    "core-js": "^3.6.5",
    "dayjs": "^1.11.7",
    "file-saver": "^2.0.5",
    "lodash.get": "^4.4.2",
    "moment": "^2.27.0",
    "nprogress": "^0.2.0",
    "qs": "^6.10.1",
    "regenerator-runtime": "^0.13.9",
    "tinymce": "^5.8.1",
    "vue": "^3.2.19",
    "vue-cropper": "^1.1.4",
    "vue-i18n": "^9.1.6",
    "vue-router": "^4.0.11",
    "vuex": "^4.0.2",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@types/node": "^14.14.6",
    "@types/webpack-env": "^1.15.3",
    "@vitejs/plugin-vue": "^4.0.0",
    "eslint": "^8.0.0",
    "eslint-plugin-vue": "^9.0.0",
    "less": "^4.1.3",
    "mockjs2": "^1.0.8",
    "vite": "^4.0.0"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/vue3-essential",
      "eslint:recommended"
    ],
    "parserOptions": {
      "ecmaVersion": 2020,
      "sourceType": "module"
    },
    "rules": {
      "no-unused-vars": "off",
      "no-debugger": "off"
    }
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead"
  ]
}
